Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFSlide

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFSheet
          org.apache.poi.xslf.usermodel.XSLFSlide

All Implemented Interfaces:
  ShapeContainer, Sheet, Slide

    public class XSLFSlide

extends XSLFSheet
implements Slide

Constructor Summary
`XSLFSlide(org.openxmlformats.schemas.presentationml.x2006.main.CTSlide slide, org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slideId, SlideShow parent)`

Method Summary
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlide` | `_getCTSlide()` While developing only!
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry` | `_getCTSlideId()` While developing only!
`XSLFCommonSlideData` | `getCommonSlideData()`
`boolean` | `getFollowMasterBackground()`
`boolean` | `getFollowMasterColourScheme()`
`boolean` | `getFollowMasterObjects()`
`Notes` | `getNotes()`
`void` | `setFollowMasterBackground(boolean follow)`
`void` | `setFollowMasterColourScheme(boolean follow)`
`void` | `setFollowMasterObjects(boolean follow)`
`void` | `setNotes(Notes notes)`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`addShape, getBackground, getMasterSheet, getShapes, getSlideShow, removeShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.sl.usermodel.Sheet
`getBackground, getMasterSheet, getSlideShow`

Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer
`addShape, getShapes, removeShape`

Constructor Detail

### XSLFSlide

    public XSLFSlide(org.openxmlformats.schemas.presentationml.x2006.main.CTSlide slide,
                     org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slideId,
                     SlideShow parent)

Method Detail

### _getCTSlide

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlide _getCTSlide()

  While developing only!

### _getCTSlideId

    @Internal
    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry _getCTSlideId()

  While developing only!

### getFollowMasterBackground

    public boolean getFollowMasterBackground()

  Specified by:
    `getFollowMasterBackground` in interface `Slide`

### getFollowMasterColourScheme

    public boolean getFollowMasterColourScheme()

  Specified by:
    `getFollowMasterColourScheme` in interface `Slide`

### getFollowMasterObjects

    public boolean getFollowMasterObjects()

  Specified by:
    `getFollowMasterObjects` in interface `Slide`

### getNotes

    public Notes getNotes()

  Specified by:
    `getNotes` in interface `Slide`

### setFollowMasterBackground

    public void setFollowMasterBackground(boolean follow)

  Specified by:
    `setFollowMasterBackground` in interface `Slide`

### setFollowMasterColourScheme

    public void setFollowMasterColourScheme(boolean follow)

  Specified by:
    `setFollowMasterColourScheme` in interface `Slide`

### setFollowMasterObjects

    public void setFollowMasterObjects(boolean follow)

  Specified by:
    `setFollowMasterObjects` in interface `Slide`

### setNotes

    public void setNotes(Notes notes)

  Specified by:
    `setNotes` in interface `Slide`

### getCommonSlideData

    public XSLFCommonSlideData getCommonSlideData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.